Bug 1119873 - Sort main tab and sub tabs
Summary: Sort main tab and sub tabs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 17:31 UTC by Alexander Wels
Modified: 2016-02-10 19:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:28:49 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30121 ovirt-engine-3.5 MERGED webadmin: sorting DC tabs Never
oVirt gerrit 30124 ovirt-engine-3.5 MERGED webadmin: cluster sorting Never
oVirt gerrit 30125 ovirt-engine-3.5 MERGED webadmin: user main tab sorting Never
oVirt gerrit 30126 ovirt-engine-3.5 MERGED webadmin: host tab sorting Never
oVirt gerrit 30127 ovirt-engine-3.5 MERGED webadmin: Event tab sorting Never
oVirt gerrit 30185 ovirt-engine-3.5 MERGED webadmin : Volume main and sub tabs' columns sortable Never
oVirt gerrit 30270 ovirt-engine-3.5 MERGED webadmin : sort status and cluster column under volumes Never
oVirt gerrit 30771 ovirt-engine-3.5 MERGED webadmin: Quota tab sorting Never

Description Alexander Wels 2014-07-15 17:31:42 UTC
Description of problem:
The data center main tab and sub tabs grid columns are not sortable at all right now.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Unsortable grid columns.

Expected results:
Clicking on the header of the grid columns will apply sorting to the selected column.

Additional info:

Comment 1 Alexander Wels 2014-07-15 19:52:41 UTC
Making this more general for all main tabs and sub tabs.

Comment 2 Sandro Bonazzola 2014-10-17 12:28:49 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.